import { getSimple, postSimple, request } from "@/request";

// 角色管理
// 分页查询
export const getRolePage = (data) => getSimple('/role/page', data);
// 角色标识查角色
export const getObjByCode = (code) => getSimple(`/role/code/${code}`)
// 新增
export const addRole = (data) => request( 'post', '/role/save', data);
// 编辑
export const editRole = (data) => request ('post', '/role/update', data);
// 删除
export const delRole = (id) => request('post', `/role/${id}`);
// 权限标识
export const fetchRoleTree = (id) => getSimple(`/menu/tree/${id}`);
// 权限更新
export const permissionUpd = (data) => request('post', '/role/menu', data)
// 菜单标识
export const fetchMenuTree = (data) => getSimple('/menu/tree', data);
// 角色列表
export const deptRoleList = (data) => getSimple('/role/list', data);

// 账号管理
// 分页查询
export const getUserPage = (data) => getSimple('/user/page', data);
// 新增
export const addUser = (data) => request( 'post', '/user/save', data);
// 更新
export const editUser = (data) => request('post', '/user/update', data);
// 筛选用户是否已存在
export const getUsername = (username) =>getSimple(`/user/details/${username}`)
// 删除
export const  delUser = (id) => request( 'post', `/user/${id}`);

// 菜单管理
// 菜单列表
export const menuList = (data) => getSimple('/menu/tree', data);
// 新增
export const addMenu = (data) => request('post', '/menu/save', data);
// 更新
export const editMenu = (data) => request('post', '/menu/update', data);
// 删除
export const delMenu = (id) => request('post', `/menu/${id}`)
// 返回当前用户的树形菜单集合
export const userMenu = () => request('get', `/menu`)

// 基础配置信息查询
export const getBasicConfig = () => getSimple('/starsky-joy-web/basicConfig/getBasicConfig')
// 基础配置信息更新
export const updateBasicConfig = (data) => request('post', '/starsky-joy-web/basicConfig/updateBasicConfig', data)

// 登入记录分页
export const loginRecordPage = (data) => getSimple('/increase/common/loginRecordPage', data)