import * as echarts from 'echarts';
let lineOption = {
  grid: {
    left: "6%",
    right: 30,
    bottom: 30,
    top: 20,
  },
  tooltip: {
    show: true,
    trigger: "axis",
  },
  xAxis: {
    type: "category",
    data: [],
    axisTick: {
      show: false,
    },
    axisLine: {
      lineStyle: {
        color: "#999",
      },
    },
  },
  yAxis: {
    type: "value",
    name: "",
    axisLine: {
      lineStyle: {
        color: "#999",
        // width: 0,
      },
    },

    axisTick: {
      length: 0,
      lineStyle: {
        color: "#999",
        // width: 10,
      },
    },
  },
  series: [{
    label: {
      show: true,
    },
    symbolSize: 8,
    itemStyle: {
      color: "#3BAFFF",
      borderWidth: 2,
      borderColor: "#3BAFFF",
    },
    data: [],
    type: "line",
    areaStyle: {},
    // smooth: true,
    areaStyle: {
      color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
          offset: 0,
          color: "#40C0FF",
        },
        {
          offset: 1,
          color: "#EAF4FA",
        },
      ]),
    },
  }, ],
}
let scratchOption = {
  grid: {
    left: "4%",
    right: 30,
    bottom: 30,
    top: 50,
  },
  legend: {
    right: 0,
  },
  tooltip: {
    show: true,
    trigger: "axis",
  },
  xAxis: {
    type: "category",
    data: [],
    axisTick: {
      show: false,
    },
    axisLine: {
      lineStyle: {
        color: "#999",
      },
    },
  },
  yAxis: {
    type: "value",
    name: "",
    axisLine: {
      lineStyle: {
        color: "#999",
        // width: 0,
      },
    },

    axisTick: {
      length: 0,
      lineStyle: {
        color: "#999",
        // width: 10,
      },
    },
  },
  series: [{
    name: '吉祥兔刮刮卡',
    label: {
      show: true,
    },
    symbolSize: 8,
    itemStyle: {
      color: "#3BAFFF",
      borderWidth: 2,
      borderColor: "#3BAFFF",
    },
    data: [],
    type: "line",
    areaStyle: {},
    smooth: true,
    areaStyle: {
      color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
        offset: 1,
        color: "#b1e1da",
      }, ]),
    },
  }, {
    name: '幸运数字刮刮卡',
    label: {
      show: true,
    },
    symbolSize: 8,
    itemStyle: {
      color: "#00C448",
      borderWidth: 2,
      borderColor: "#00C448",
    },
    data: [],
    type: "line",
    areaStyle: {},
    smooth: true,
    areaStyle: {
      color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
        offset: 1,
        color: "#d4f2dc",
      }, ]),
    },
  }],
}
export {
  lineOption,
  scratchOption
};