import { createRouter, createWebHashHistory } from 'vue-router'
import _ from 'lodash'
import { filterGlobEagerFilename } from '@/utils'
import permission from './permission'
import layout from '@/layout/index.vue'
import { $ls, $ss } from "@/storage";
// sub routers
const subroutersInLevelWithRoot = _(
  filterGlobEagerFilename([import.meta.globEager('./sub/*')][0])
)
  .values()
  .map((i) =>
    i instanceof window.Array
      ? (() => {
        // 将带有 ~ 的路由平铺，不需要关心下面具体的实现，只需要知道作用就行了
        // 例子见home.js
        const first = i.shift()
        return _(i)
          .map((i) =>
            _(i)
              .mapValues((val, key) =>
                key === 'path' && val[0] === '~'
                  ? `${first.path}/${val.substring(1)}`
                  : val
              )
              .value()
          )
          .concat(first)
          .value()
      })()
      : [i]
  )
  .reduce((acc, cur) => (acc.push.apply(acc, cur), acc), []);

  const homeRedirect = {
    path: '/home',
    redirect: (() => {
      if ($ls.getItem('menu') && $ls.getItem('menu').length > 0) {
        // if ($ss.getItem('info').sysUser.name == '供应商') {
        //   return '/supplier/supplierDashboard'
        // } else {
          if ($ls.getItem('menu')[0].children) {
            if ( $ls.getItem('menu')[0].children[0].children) {
                return $ls.getItem('menu')[0].children[0].children[0].path
            } else {
              return $ls.getItem('menu')[0].children[0].path
            }
          } else {
            return $ls.getItem('menu')[0].path
          }
        }
      // } else {
      //   return '/empty'
      // }
    })
  }

const routes = [
    {
        path: '/',
        redirect: '/login',
      },
      {
        path: '/home',
        component: layout,
        children: [...subroutersInLevelWithRoot],
        meta: {
          title: '首页'
        }
      },
      {
        path: '/login',
        component: () => import('@/views/login/index.vue'),
        meta: {
          title: '登录'
        }
      },
]
const router = createRouter({
  history: createWebHashHistory(),
  routes,
})
export default permission(router)
