import { includes } from "lodash";
import NProgress from 'nprogress' // 进度条
import 'nprogress/nprogress.css' //样式必须引入
import { $ls, $ss } from "@/storage";

/**
 * 设置网页title
 */
export const setWebTitle = (title) => {
  try {
    window.document.title = title
  } catch (error) {
    console.error(error)
  }
}
const whiteList = [] // 白名单
const blockList = [] // 黑名单


export default (router) => {
  // 路由前置守卫
  router.beforeEach((to, from, next) => {
    NProgress.start(); // 开启进度条
    if (to.meta?.title) {
      setWebTitle(to.meta.title + '');
    }
    if (to.path === '/login') {
      localStorage.clear();
      next()
    } else {
      let token = $ss.getItem('token');
      // let info = $ss.getItem('info');
      if (token) {
        next()
      } else {
        next('/login')
      }
    }
  //  next()
  })
  // 路由后置守卫(当你真正进入到某个页面之后才执行)
  router.afterEach((to, from) => {
    NProgress.done(); // 关闭进度条
  })
  return router
}
