import {
  defineStore
} from "pinia"
import { querySatCompanyIdAndCode } from '@/apis/basicInformation.js'

export default defineStore('CHANNEL', {
  state: () => {
      return {
        channelList: [],
      }
  },
  actions: {
      // 获取公司渠道
      // containOfficialPlatform  是否需要官方平台信息 true=需要  false=不需要  默认false不需要
      getChannel(containOfficialPlatform = false) {
         let params = {
           containOfficialPlatform
         };
         querySatCompanyIdAndCode(params).then((res) => {
           if (res.code === 0) {
              res.result.forEach((item) => {
                 let obj = {};
                 obj.label = item.satCompanyCode;
                 obj.value = item.satCompanyId;
                 this.channelList.push(obj)
              })
           }
         })
      }
  }
})