import {
    defineStore
} from "pinia"
// enabled 开启 pinia-plugin-persist 持久化插件 https://blog.csdn.net/weixin_52051337/article/details/129236587
export default defineStore('MAIN', {
    state: () => {
        return {
            mainTabsList: [],
            curActiveTabVal: ''
        }
    },
    actions: {
        addMenuTab(obj) {
            let flag = this.mainTabsList.some((val) => val.path === obj.path);
            if (!flag) {
              this.mainTabsList.push(obj);
            }
            this.curActiveTabVal = obj.path;
        },
        delMenuTab(val) {
            this.mainTabsList = this.mainTabsList.filter((item) => item.path !== val);
        },
        remoMenuTab() {
            this.mainTabsList = []
        }
    },
    persist: {
        enabled: true,
        strategies: [{
            // 自定义key
            key: 'mainTabs',
            // 自定义存储方式，默认sessionStorage
            storage: localStorage,
            // 指定要持久化的数据，默认所有 state 都会进行缓存，可以通过 paths 指定要持久化的字段，其他的则不会进行持久化。
            paths: ['curActiveTabVal']
        }]
    }
})