import {
    defineStore
} from "pinia"
// enabled 开启 pinia-plugin-persist 持久化插件 https://blog.csdn.net/weixin_52051337/article/details/129236587
export default defineStore('USER', {
    state: () => {
        return {
            name: 'user用户'
        }
    },
    actions: {
        setUser(newOld) {
            this.name = newOld;
        }
    },
    persist: {
        enabled: true,
        strategies: [{
            // 自定义key
            key: 'Userinfo',
            // 自定义存储方式，默认sessionStorage
            storage: localStorage,
            // 指定要持久化的数据，默认所有 state 都会进行缓存，可以通过 paths 指定要持久化的字段，其他的则不会进行持久化。
            paths: ['name']

        }]
    }
})